# ConsoleLauncher

# Class ConsoleLauncher

Namespace: TecnoPack
Assembly: CO0002_Templ_FlowpackHMI_V00_9_3.dll

Classe statica responsabile dell’esecuzione di uno script batch da console
e della lettura dell’input prodotto dallo script stesso.

    public static class ConsoleLauncher

#### Inheritance

object ←
ConsoleLauncher

#### Inherited Members

object.GetType(),
object.MemberwiseClone(),
object.ToString(),
object.Equals(object?),
object.Equals(object?, object?),
object.ReferenceEquals(object?, object?),
object.GetHashCode()

## Methods

### Launch(string, string)

Crea ed esegue uno script batch all’interno di una cartella temporanea,
attende la fine dell’esecuzione e restituisce l’input dell’utente letto da file.

    public static string Launch(string tempFolder, string script)

#### Parameters

`tempFolder` string

Percorso della cartella temporanea dove verrà salvato ed eseguito lo script.

`script` string

Contenuto dello script batch da eseguire. Deve contenere il placeholder `#outputFilePath#`
che verrà sostituito con il percorso reale del file di output.

#### Returns

string

Valore immesso dall’utente nello script batch, oppure `null` in caso di errore.

#### Remarks

Il metodo crea un file .bat e un file .txt temporanei, li elimina al termine dell’esecuzione.
Il valore inserito dall’utente viene letto dal file .txt generato dallo script batch.

#### Exceptions

Exception

Eventuali eccezioni vengono intercettate internamente; viene restituito `null` in caso di errore.